@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

* {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

body {
    background-image: url('../Image/backgroundLogin.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

.Navigation {
    background-color: #FAF7F0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 999;
    height: 10%;
    padding: 10px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 10px 100px;
    align-items: flex-start;
    margin-bottom: 50px;
}

.logo {
    display: flex;
    flex-direction: row;

}

.logo img {
    width: 200px;
    height: auto;
    margin-top: -60px;

}

.links,
.adminLogoutContainer {
    display: flex;
    flex-direction: row;
    gap: 20px;
    padding: 20px;
}

.links a,
.adminLogoutContainer a {
    text-decoration: none;
    color: black;
    font-weight: bold;
    font-size: 16px;

}

.links a:hover,
.adminLogoutContainer a:hover {
    transform: scale(1.06);
    color: #B17457;
}

.Moveimg {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: space-around;
    height: 800px;

}



.Ourproduct {
    margin-top: 10px;
    height: 850px;

}

.ProductOrder {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, auto);
    justify-content: center;


}

.productHeader {

    display: flex;
    flex-wrap: wrap;
    justify-content: center;

    margin-bottom: 50px;
    grid-column: 1/-1;

}

.product1 {
    width: 600px;
    border-radius: 20%;
    grid-row: 2/3;
    grid-column: 1/2;
    margin-left: 120px;
    margin-top: 50px;
    cursor: pointer;
}

.product1:hover {
    transition: all 0.3s ease;
    transform: scale(1.05);
}

.product2 {
    width: 600px;
    border-radius: 20%;
    grid-row: 2/3;
    grid-column: 2/3;
    margin-left: 20px;
    margin-top: 50px;
    cursor: pointer;
}

.product2:hover {
    transition: all 0.3s ease;
    transform: scale(1.05);
}

.footer {
    margin-top: px;
    background-color: #D8D2C2;
}

.AboutUs {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    padding: 10px;
    margin: 5px 10px;
}



.followContact {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, auto);
    justify-content: center;
}

.contact {
    padding: 10px;
    margin-top: 5px;
}

.Feedback {
    display: flex;
    flex-direction: column;
    padding: 10px;
    margin-top: 5px;
    flex-wrap: wrap;
}


.Feedback form input {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
    width: 50%;
    padding: 10px;
    margin-top: 5px;
    border-radius: 10px;
    flex-wrap: wrap;
}

.Feedback form label {
    font-size: 15px;
    font-weight: 500;
}

.Feedback form textarea {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
    margin-top: 5px;
    width: 50%;
    resize: none;
    border-radius: 10px;
    flex-wrap: wrap;
    padding: 10px;
}

.Feedback form button {
    flex: 1;
    padding: 10px 20px;
    background-color: #007BFF;
    color: white;
    border-radius: 8px;
    font-size: 15px;
    cursor: pointer;
    font-weight: bold;
    border: 1px solid #D8D2C2;
    margin-bottom: 10px;
}

.Feedback form button:hover {
    background-color: #115973;
    color: white;
    font-weight: bold;
    transition: all 0.3s ease;
    transform: scale(1.03);
}

.Follow {
    display: flex;
    flex-direction: column;
    margin-left: 10px;
    padding: 10px 0 10px;
}

.Follow i {
    align-self: stretch;
    margin: 0px 30px;
    font-size: 50px;
    padding: 10px;
    margin-top: 5px;
    cursor: pointer;
}

.Follow i:hover {
    transform: scale(1.03);
    transition: all 0.3s ease;
}

#followUS {
    margin: 0px 15px;
}

.copy {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    font-weight: bold;
}

.carousel,
.carousel img {
    margin-top: 80px;
    margin-bottom: 100px;
    height: 600px;
    padding-right: 10px;
    padding-left: 10px;
}

/* Login page */


.inputContainer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.box {
    background-color: rgba(255, 255, 255, 0.7);

    display: flex;
    flex-direction: column;
    padding: 30px 30px;
    border-radius: 25px;
    width: 500px;
    margin: 0px 10px
}

.box .logo {
    width: 200px;
    height: 200px;
    align-self: center;

}

.box form .input {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;

}

.box form .input input {
    height: 30px;
    width: 100%;
    font-size: 15px;
    font-weight: lighter;
    padding: 0px 10px;
    border-radius: 10px;
    border: 2px solid #8e8e8e;
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.2);
}

.submit {
    width: 100%;
}

.box form .submit input {
    height: 40px;
    color: #fdfdfd;
    background-color: #1793bf;
    border: none;
    font-size: 15px;
    font-weight: bold;
    border-radius: 30px;
    cursor: pointer;
    margin-top: 5px;
    padding: 0px 5px;
    transition: all 0.3s ease;
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.2);
}

.box form .submit input:hover {
    background-color: #115973;
    color: #ffffff;
    transition: all 0.3s ease;
    transform: scale(1.03);
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.2);
}



.registerLink button {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: #ffffff;
    padding: 10px 20px;
    border-radius: 15px;
    margin-top: 30px;
    cursor: pointer;
    transition: all 0.3s ease;
    color: #1793bf;
    border: 1px solid #1793bf;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    font-size: 15px;
    font-weight: bold;
}

.registerLink a {
    align-self: center;
    text-decoration: none;



}

.registerLink button:hover {
    opacity: 5;
    transform: scale(1.03);
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease;
}

.HaveAnAccount {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
}



.HaveAnAccount a {
    color: #1793bf;
    align-self: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 15px;
    font-weight: lighter;
    transition: all 0.3s ease;
    margin-left: 3px;
}

.HaveAnAccount a:hover {
    color: #115973;
    font-weight: bold;
    transform: scale(1.03);
}

/* Product */
.pic {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.btn button {
    background-color: #1793bf;
    color: white;
    padding: 11px 19px;
    font-size: 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.btn-secondary:hover {
    background-color: #115973;
    transition: all 0.3s ease;
    transform: scale(0.98);
}

.product-gallery {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    margin-top: 60px;
    padding: 40px 30px 20px 30px;
    border-radius: 12px;
}

.product-gallery h1 {
    align-self: center;
    margin-bottom: 50px;
    font-size: 32px;
    color: #2c2c2c;
    font-weight: 700;
}

.product-item h2 {
    font-size: 24px;
    color: #0066cc;
    font-weight: bold;
    margin: 10px 10px;
}

.product-description {
    padding: 45px 35px;
    background-color: #fefefe;
    border-radius: 14px;
    line-height: 1.75;
    color: #333;
    font-size: 17px;
    max-width: 950px;
    margin: 40px auto;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
}

.product-description h4 {
    font-size: 22px;
    color: #005099;
    margin-top: 30px;
    margin-bottom: 14px;
    font-weight: 600;
    border-left: 5px solid #007BFF;
    padding-left: 12px;
}

.product-description p {
    margin-bottom: 16px;
    font-weight: 400;
    color: #212529;
}

.product-description strong {
    color: #212529;
    font-weight: 600;
}

.btnn {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 20px 20px;

}

.btn a {

    text-decoration: none;
}

.order-btn {
    align-self: center;
    background-color: #1793bf;
    color: white;
    padding: 11px 19px;
    font-size: 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
}

.order-btn:hover {
    background-color: #115973;
    transition: all 0.3s ease;
    transform: scale(0.98);
}

.box form .remember {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 10px 0;
    font-size: 14px;
    font-weight: 500;
    color: #333;
    padding-left: 5px;
}

#remember {
    width: 18px;
    height: 18px;
    accent-color: #1793bf;
    cursor: pointer;
}


.errorMsg {

    background-color: #ffe5e5;
    color: #d8000c;
    padding: 12px 20px;
    margin-right: 100px;
    margin-left: 100px;
    margin-top: -80px;
    border: 1px solid #d8000c;
    border-radius: 6px;
    font-weight: bold;
    text-align: center;
    box-shadow: 0 0 8px rgba(216, 0, 12, 0.2);
}

.test-box {
    background-color: blue;
    color: white;
    text-align: center;
    padding: 20px;
    margin: 20px;
    font-size: 20px;
}

.icons {
    display: none;
    gap: 15px;
    align-items: center;

}

.icons i {
    font-size: 20px;
    cursor: pointer;
    color: black;
}

.icons a:hover i {
    transform: scale(1.06);
    color: #B17457;
}

.cart-container {
    display: flex;
    gap: 20px;
    padding: 20px;
    max-width: 800px;
    margin: 100px 0px;

}

.cart-box {
    border: 2px solid #8e8e8e;
    border-radius: 10px;
    padding: 20px;
    background-color: rgba(255, 255, 255, 0.9);
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.2);
}

.cart-box img {
    max-width: 200px;
    border-radius: 10px;
    margin-bottom: 10px;
}

.cart-box p {
    font-size: 16px;
    font-weight: 500;
    color: #333;
    margin: 5px 0;
}

.cart-box button {
    background-color: #1793bf;
    color: white;
    border: none;
    padding: 8px 14px;
    border-radius: 5px;
    margin-right: 10px;
    cursor: pointer;
    transition: 0.3s ease;
}

.cart-box button:hover {
    background-color: #115973;
    transform: scale(1.05);
}


#btn-h {
    display: flex;
    justify-content: center;
}

#btn-group {
    margin: 20px 20px;
}

#head {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    margin-top: 100px;
    margin-bottom: 20px;
    padding: 35px 20px 10px 10px;
}

.inputContainer {
    height: auto;
    margin-bottom: 5px;
}

.box {
    margin: 10px 5px;
}

.box .input label {
    margin-bottom: 5px;
    padding: 10px 10px;
}

.title {
    font-size: 20px;
    margin-bottom: 15px;
    color: #1793bf;

    font-weight: bold;
    text-align: center;
    border-bottom: 2px solid #007BFF;
    padding-bottom: 5px;
}

.box .input select,
.box .input textarea,
.box .input input {
    margin-bottom: 10px;
    height: 30px;
    width: 100%;
    font-size: 15px;
    font-weight: lighter;
    padding: 0px 10px;
    border-radius: 10px;
    border: 2px solid #8e8e8e;
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.2);
}

.box .input textarea {
    resize: none
}

#price-section {
    align-self: center;
    margin: 10px 0;

    font-size: 18px;
    font-weight: bold;
    color: #1793bf;
}

.btn1 {
    display: flex;
    justify-content: center;
    gap: 5px;
    margin-top: 10px;
}

.btn1 button {
    background-color: #1793bf;
    color: white;
    padding: 11px 19px;
    font-size: 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.btn1 button:hover {
    background-color: #115973;
    transition: all 0.3s ease;
    transform: scale(1.1);
}



#price-section {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 20px 0;
    font-size: 18px;
    font-weight: bold;
    color: #1793bf;
}

#price {
    font-size: 20px;
    margin-top: 10px;

    color: #333;

}

.hidden1 {
    display: none;
}

.hidden2 {
    display: none;
}

#sizeError,
#sizeError1,
#sizeError2 {
    display: none;
    color: red;
}


#cartDes,
#cartPhone {
    position: relative;
    display: inline-block;
}

.fa-solid .fa-cart-shopping {
    position: relative;
    margin: 40px;
    cursor: pointer;

}

.fa-solid .fa-cart-shopping i {
    font-size: 16px;
}

#cart-count {
    height: 13px;
    width: 13px;
    background: red;
    color: white;
    border-radius: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 10px;
    position: absolute;
    top: -5px;
    right: -5px;
    z-index: 1000;

}

#boxUpdate {
    margin-top: 110px;
}

@media (max-width: 700px) {



    .Navigation {
        width: 100%;
        height: 13%;
        margin-top: -12px;
    }

    .links {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: #FAF7F0;
        padding: 10px;
        position: absolute;
        top: 70px;
        left: 0;
    }

    .links.show {
        display: flex;
    }

    .icons {
        display: flex;
        margin-top: 20px;

    }


    .Ourproduct {
        display: flex;

        width: 500px;

        flex-direction: column;
        JUSTIFY-CONTENT: center;
        align-items: center;
        margin-top: 10px;
        margin-left: -110px;
        height: auto;
    }

    .carousel,
    .carousel img {
        margin-top: 50px;

        width: 100%;
        height: 500px;
        padding-right: 10px;
        padding-left: 10px;
        object-fit: cover;
    }

    .ProductOrder {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(1, auto);
    }

    .productHeader {
        margin-bottom: 20px;
        margin-left: 50px;
    }

    .product1,
    .product2 {
        width: 300px;
        height: 250px;
        border-radius: 20%;
        margin-top: 30px;
        cursor: pointer;
    }



    .product1:hover,
    .product2:hover {
        transition: all 0.3s ease;
        transform: scale(1.01);
    }

    .footer {
        margin-top: 70px;

    }

    .Feedback form input {
        display: flex;
        flex-direction: column;
        margin-bottom: 10px;
        width: 100%;
        padding: 10px;
        margin-top: 5px;
        border-radius: 10px;
    }

    .Feedback form textarea {
        display: flex;
        flex-direction: column;
        margin-bottom: 10px;
        margin-top: 5px;
        width: 100%;
        resize: none;
        border-radius: 10px;
        /* flex-wrap: wrap; */
        padding: 10px;
    }

    .Follow {
        padding: 0px;
    }

    .pic {
        display: grid;
        width: 100%;
        height: auto;
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(3, 1fr);
    }

    .btn-group>.btn {
        margin-top: 30px;
    }

    .box {
        width: 100%;
        margin-top: 100px;
    }

    .inputContainer {

        height: auto;
        margin-bottom: 5px;
        padding: 20px;
    }

    .cart-box img {
        width: 100%;
        height: 270px;
        max-width: 100%;
    }

    .cart-container {
        display: flex;
        width: 100%;
        flex-direction: column;
    }

    .errorMsg {
        margin: 1px;
    }

    #cart-count {
        height: 14px;
        width: 14px;
        font-size: 9px;

    }
}


@media (min-width: 701px) and (max-width: 1300px) {

    .Navigation {
        padding: 10px 40px;
    }

    .product1,
    .product2 {
        width: 550px;
        height: 355px;
        border-radius: 20%;
        margin-top: 30px;
        cursor: pointer;
    }

    .ProductOrder {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(1, auto);
    }


    .footer {
        margin-top: 70px;

    }

    .cart-container {
        flex-direction: column;
    }

    .errorMsg {
        margin: 10px;
    }
}